Computer Security
[EN] securityvulns.ru no-pyccku


cURL buffer overflow
Published:11.02.2013
Source:
SecurityVulns ID:12865
Type:library
Threat Level:
6/10
Description:Buffer overflow in SASL DIGEST-MD5 implementation
Affected:CURL : cURL 7.28
CVE:CVE-2013-0249 (Stack-based buffer overflow in the Curl_sasl_create_digest_md5_message function in lib/curl_sasl.c in curl and libcurl 7.26.0 through 7.28.1, when negotiating SASL DIGEST-MD5 authentication, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a long string in the realm parameter in a (1) POP3, (2) SMTP or (3) IMAP message.)
Original documentdocumentSLACKWARE, [slackware-security] curl (SSA:2013-038-01) (11.02.2013)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod